<script setup lang="ts">
import SalaryTable from '../SALARY/SalaryTable.vue';

import { useSalaryStore } from '@/stores/salary';

const salaryStore = useSalaryStore()

</script>
<template>
  <v-container>
         <v-row  no-gutters>
          <v-row no-gutters>
    <v-col cols="12" md="5">
      <v-text-field
        v-model="salaryStore.search"
        density="compact"
        variant="solo"
        label="Search Salary"
        append-inner-icon="mdi-magnify"
        single-line
        hide-details
        style="width: 200px; padding-bottom: 20px;"
      >
      </v-text-field>
    </v-col>

    <v-col cols="6" style="padding-top: 0px">
      <v-btn prepend-icon="mdi-receipt-text" style="margin-left: 550px; background-color: #47BB59 ;color: white;" @click="salaryStore.openReportSalaryDialog">Pay Salary</v-btn>
    </v-col>

  </v-row>
           <v-sheet width="1250" height="526" style="background-color: #E7D0B9;">
            <SalaryTable/>
            
           </v-sheet>
           
         </v-row>   
    </v-container>
  </template>
  
  <style scoped>
  
  </style>
